/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-03-25
 * 描述            ：轧制计划表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Report.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Report.mapper.ReportEnergyBasePriceMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="REPORT_ENERGY_BASE_PRICE", namespace=ReportEnergyBasePriceMapper.class)
public class ReportEnergyBasePrice extends BaseVO implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -3452560673641162929L;
	
	/**
	 * 月份 yyyy-MM
	 */
	@Column
	private String wrk_month;
	public String getWrk_month() {
		return wrk_month;
	}
	public void setWrk_month(String wrk_month) {
		this.wrk_month = wrk_month;
	}
	
	/**
	 * 成本项目名称
	 */
	@Column
	private String  item_name;
	public String getItem_name() {
		return item_name;
	}
	public void setItem_name(String item_name) {
		this.item_name = item_name;
	}
	
	/**
	 * 成本项目编码
	 */
	@Column
	private String  item_code;
	public String getItem_code() {
		return item_code;
	}
	public void setItem_code(String item_code) {
		this.item_code = item_code;
	}
	
	/**
	 * 基础单价
	 */
	@Column
	private Double  base_prcie;
	public Double getBase_prcie() {
		return base_prcie;
	}
	public void setBase_prcie(Double base_prcie) {
		this.base_prcie = base_prcie;
	}
	
	/**
	 * 基础金额
	 */
	@Column
	private Double  base_money;
	public Double getBase_money() {
		return base_money;
	}
	public void setBase_money(Double base_money) {
		this.base_money = base_money;
	}
	
	/**
	 * 机台代码
	 */
	@Column
	private String  machine_code;
	public String getMachine_code() {
		return machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}
	
	/**
	 * 机台名称
	 */
	@Column
	private String machine_name;
	public String getMachine_name() {
		return machine_name;
	}
	public void setMachine_name(String machine_name) {
		this.machine_name = machine_name;
	}

	@Column
	/**
	 * 创建人姓名
	 */
	private String create_man;
	public String getCreate_man() {
		return create_man;
	}
	public void setCreate_man(String create_man) {
		this.create_man = create_man;
	}
	
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	/**
	 * 创建时间
	 */
	private Date create_time;
	public Date getCreate_time() {
		return create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}
	
	/**
	 * 修改人姓名
	 */
	@Column
	private String update_man;
	public String getUpdate_man() {
		return update_man;
	}
	public void setUpdate_man(String update_man) {
		this.update_man = update_man;
	}
	
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	/**
	 * 修改时间
	 */
	private Date update_time;
	public Date getUpdate_time() {
		return update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}
}
